<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:47:16 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification (org.eclipse.papyrus.marte.vsl 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification (org.eclipse.papyrus.marte.vsl 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/vSL/class-use/ValueSpecification.html" target="_top">Frames</a></li>
<li><a href="ValueSpecification.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification" class="title">Uses of Interface<br>org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.marte.vsl.extensions">org.eclipse.papyrus.marte.vsl.extensions</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.marte.vsl.validation">org.eclipse.papyrus.marte.vsl.validation</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.marte.vsl.vSL">org.eclipse.papyrus.marte.vsl.vSL</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.marte.vsl.vSL.impl">org.eclipse.papyrus.marte.vsl.vSL.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.marte.vsl.vSL.util">org.eclipse.papyrus.marte.vsl.vSL.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.marte.vsl.extensions">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a> in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/extensions/package-summary.html">org.eclipse.papyrus.marte.vsl.extensions</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/extensions/package-summary.html">org.eclipse.papyrus.marte.vsl.extensions</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLSerializationUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/extensions/VSLSerializationUtil.html#printValueSpecification-org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification-">printValueSpecification</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a>&nbsp;exp)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Type</code></td>
<td class="colLast"><span class="typeNameLabel">VSLTypeInferenceUtil.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/extensions/VSLTypeInferenceUtil.html#typeOfValueSpecification-org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification-">typeOfValueSpecification</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a>&nbsp;value)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.marte.vsl.validation">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a> in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/package-summary.html">org.eclipse.papyrus.marte.vsl.validation</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/package-summary.html">org.eclipse.papyrus.marte.vsl.validation</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.VSLValidationResult.html" title="class in org.eclipse.papyrus.marte.vsl.validation">VSLJavaValidator.VSLValidationResult</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLJavaValidator.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/validation/VSLJavaValidator.html#checkValueSpecification-org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification-">checkValueSpecification</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a>&nbsp;valueSpec)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.marte.vsl.vSL">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a> in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/package-summary.html">org.eclipse.papyrus.marte.vsl.vSL</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a> in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/package-summary.html">org.eclipse.papyrus.marte.vsl.vSL</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/BooleanLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">BooleanLiteralRule</a></span></code>
<div class="block">A representation of the model object '<em><b>Boolean Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/CollectionOrTuple.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">CollectionOrTuple</a></span></code>
<div class="block">A representation of the model object '<em><b>Collection Or Tuple</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DateTimeLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DateTimeLiteralRule</a></span></code>
<div class="block">A representation of the model object '<em><b>Date Time Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DefaultLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DefaultLiteralRule</a></span></code>
<div class="block">A representation of the model object '<em><b>Default Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/DurationObsExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">DurationObsExpression</a></span></code>
<div class="block">A representation of the model object '<em><b>Duration Obs Expression</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Expression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Expression</a></span></code>
<div class="block">A representation of the model object '<em><b>Expression</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/InstantObsExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">InstantObsExpression</a></span></code>
<div class="block">A representation of the model object '<em><b>Instant Obs Expression</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/IntegerLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">IntegerLiteralRule</a></span></code>
<div class="block">A representation of the model object '<em><b>Integer Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Interval.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Interval</a></span></code>
<div class="block">A representation of the model object '<em><b>Interval</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/JitterExp.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">JitterExp</a></span></code>
<div class="block">A representation of the model object '<em><b>Jitter Exp</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Literal.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Literal</a></span></code>
<div class="block">A representation of the model object '<em><b>Literal</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NameOrChoiceOrBehaviorCall.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NameOrChoiceOrBehaviorCall</a></span></code>
<div class="block">A representation of the model object '<em><b>Name Or Choice Or Behavior Call</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NullLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NullLiteralRule</a></span></code>
<div class="block">A representation of the model object '<em><b>Null Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/NumberLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">NumberLiteralRule</a></span></code>
<div class="block">A representation of the model object '<em><b>Number Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/RealLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">RealLiteralRule</a></span></code>
<div class="block">A representation of the model object '<em><b>Real Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/StringLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">StringLiteralRule</a></span></code>
<div class="block">A representation of the model object '<em><b>String Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/TimeExpression.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">TimeExpression</a></span></code>
<div class="block">A representation of the model object '<em><b>Time Expression</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/Tuple.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Tuple</a></span></code>
<div class="block">A representation of the model object '<em><b>Tuple</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/UnlimitedLiteralRule.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">UnlimitedLiteralRule</a></span></code>
<div class="block">A representation of the model object '<em><b>Unlimited Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VariableDeclaration.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">VariableDeclaration</a></span></code>
<div class="block">A representation of the model object '<em><b>Variable Declaration</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/package-summary.html">org.eclipse.papyrus.marte.vsl.vSL</a> that return <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLFactory.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/VSLFactory.html#createValueSpecification--">createValueSpecification</a></span>()</code>
<div class="block">Returns a new object of class '<em>Value Specification</em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></code></td>
<td class="colLast"><span class="typeNameLabel">PrimaryExpression.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PrimaryExpression.html#getPrefix--">getPrefix</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Prefix</b></em>' containment reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/package-summary.html">org.eclipse.papyrus.marte.vsl.vSL</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PrimaryExpression.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PrimaryExpression.html#setPrefix-org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification-">setPrefix</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/PrimaryExpression.html#getPrefix--"><code><em>Prefix</em></code></a>' containment reference.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.marte.vsl.vSL.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a> in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/package-summary.html">org.eclipse.papyrus.marte.vsl.vSL.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/package-summary.html">org.eclipse.papyrus.marte.vsl.vSL.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/BooleanLiteralRuleImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">BooleanLiteralRuleImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Boolean Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/CollectionOrTupleImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">CollectionOrTupleImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Collection Or Tuple</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/DateTimeLiteralRuleImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">DateTimeLiteralRuleImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Date Time Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/DefaultLiteralRuleImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">DefaultLiteralRuleImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Default Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/DurationObsExpressionImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">DurationObsExpressionImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Duration Obs Expression</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/ExpressionImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">ExpressionImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Expression</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/InstantObsExpressionImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">InstantObsExpressionImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Instant Obs Expression</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/IntegerLiteralRuleImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">IntegerLiteralRuleImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Integer Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/IntervalImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">IntervalImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Interval</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/JitterExpImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">JitterExpImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Jitter Exp</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/LiteralImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">LiteralImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Literal</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/NameOrChoiceOrBehaviorCallImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">NameOrChoiceOrBehaviorCallImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Name Or Choice Or Behavior Call</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/NullLiteralRuleImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">NullLiteralRuleImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Null Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/NumberLiteralRuleImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">NumberLiteralRuleImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Number Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/RealLiteralRuleImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">RealLiteralRuleImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Real Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/StringLiteralRuleImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">StringLiteralRuleImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>String Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/TimeExpressionImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">TimeExpressionImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Time Expression</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/TupleImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">TupleImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Tuple</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/UnlimitedLiteralRuleImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">UnlimitedLiteralRuleImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Unlimited Literal Rule</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/ValueSpecificationImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">ValueSpecificationImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Value Specification</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VariableDeclarationImpl.html" title="class in org.eclipse.papyrus.marte.vsl.vSL.impl">VariableDeclarationImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Variable Declaration</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/package-summary.html">org.eclipse.papyrus.marte.vsl.vSL.impl</a> declared as <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></code></td>
<td class="colLast"><span class="typeNameLabel">PrimaryExpressionImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/PrimaryExpressionImpl.html#prefix">prefix</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/PrimaryExpressionImpl.html#getPrefix--"><code><em>Prefix</em></code></a>' containment reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/package-summary.html">org.eclipse.papyrus.marte.vsl.vSL.impl</a> that return <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLFactoryImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/VSLFactoryImpl.html#createValueSpecification--">createValueSpecification</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></code></td>
<td class="colLast"><span class="typeNameLabel">PrimaryExpressionImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/PrimaryExpressionImpl.html#getPrefix--">getPrefix</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/package-summary.html">org.eclipse.papyrus.marte.vsl.vSL.impl</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.NotificationChain</code></td>
<td class="colLast"><span class="typeNameLabel">PrimaryExpressionImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/PrimaryExpressionImpl.html#basicSetPrefix-org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification-org.eclipse.emf.common.notify.NotificationChain-">basicSetPrefix</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a>&nbsp;newPrefix,
              org.eclipse.emf.common.notify.NotificationChain&nbsp;msgs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PrimaryExpressionImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/impl/PrimaryExpressionImpl.html#setPrefix-org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification-">setPrefix</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a>&nbsp;newPrefix)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.marte.vsl.vSL.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a> in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/package-summary.html">org.eclipse.papyrus.marte.vsl.vSL.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/package-summary.html">org.eclipse.papyrus.marte.vsl.vSL.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html" title="type parameter in VSLSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">VSLSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/util/VSLSwitch.html#caseValueSpecification-org.eclipse.papyrus.marte.vsl.vSL.ValueSpecification-">caseValueSpecification</a></span>(<a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">ValueSpecification</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Value Specification</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/marte/vsl/vSL/ValueSpecification.html" title="interface in org.eclipse.papyrus.marte.vsl.vSL">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/vSL/class-use/ValueSpecification.html" target="_top">Frames</a></li>
<li><a href="ValueSpecification.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
